Multiple Layer Resource Optimization for Optical as a Service
Hui Yang
Beijing University of Posts and Telecommunications
No.10,Xitucheng Road,Haidian District
Beijing
100876
P.R.China
+8613466774108
yang.hui.y@126.com
http://www.bupt.edu.cn/
Kaixuan Zhan
Beijing University of Posts and Telecommunications
No.10,Xitucheng Road,Haidian District
Beijing
100876
P.R.China
+8618401695826
zhankai@bupt.edu.cn
http://www.bupt.edu.cn/
Ao Yu
Beijing University of Posts and Telecommunications
No.10,Xitucheng Road,Haidian District
Beijing
100876
P.R.China
yuao@bupt.edu.cn
http://www.bupt.edu.cn/
Qiuyan Yao
Beijing University of Posts and Telecommunications
No.10,Xitucheng Road,Haidian District
Beijing
100876
P.R.China
yqy89716@bupt.edu.cn
http://www.bupt.edu.cn/
Jie Zhang
Beijing University of Posts and Telecommunications
No.10,Xitucheng Road,Haidian District
Beijing
100876
P.R.China
+8613911060930
lgr@bupt.edu.cn
http://www.bupt.edu.cn/
2022
Cross Stratum Optimization Research Group
Adaptive artificial fish swarm algorithm
Artificial neural networks
Tidal traffic prediction
Multi-path pre-reserved
We have established a neural network model optimized by adaptive artificial fish swarm algorithm. Then we propose a novel multi-path pre-reserved resource allocation strategy to increase resource utilization. The results prove the effectiveness of our method.

Introduction
With the rapid growth of cloud computing, 5G services, and the periodicity of people's activities, traffic load has exhibited periodicity in both time and space domains, namely tidal traffic [1]. The number of people using optical metropolitan networks is enormous and unevenly distributed. In addiction, the separation of work areas and residential areas is an important cause of tidal traffic. Generally, tidal traffic will reduce the performance of networks during to following two reasons: firstly, the network traffic will be blocked due to the sharp increase in traffic in the high-traffic area; secondly, network nodes may be idle and waste resources in the low-traffic areas. The static configuration resources will intensify both network and service congestion during traffic peak hours, as well as low resource utilization during low-traffic times and regions. In the future, global mobile Internet traffic will increase by 10 times [2], urbanization is rapidly advancing, the scope and severity of space and time domains affected by tidal traffic are increasing as communication need and network technologies developing. Tidal traffic will further affect the optical access network and the optical core network, making it essential issue for network operators. Therefore, a more reasonable and efficient resource allocation scheme is urgently needed to solve the congestion and resource waste caused by the tidal traffic.
Known from the above, tidal traffic prediction becomes the core process of network optimization decision-making. Currently, there are several prediction methods, like support vector machine (SVM) and multi-layer perceptron (MLP). Literature [3] proposes a deep-learning-based prediction strategy to implement traffic assessment of data center optical networks. At the same time, a deep-learning-based global evaluation factor resource allocation algorithm is suggested to achieve lower blocking rate of the network. Compared with the traditional algorithm, deep learning can improve the accuracy of prediction, but it cannot identify the tidal traffic in specific festivals. In addition, the lower priority service will be discarded to reduce the network blocking rate. This method does not make good use of idle resources of other nodes, and some traffic requests cannot be executed normally. So we propose multi-path pre-reserved resource allocation based on traffic prediction.
In this paper, we establish an adaptive artificial fish-group neural network model to predict traffic, then use the predicted traffic demand to optimize the network at different times. Meanwhile, we propose multi-path pre-reserved resource allocation to adapt to the resource requirements of different nodes. Simulation results demonstrate that our strategy achieves a lower network blocking rate and higher resource utilization.

Conventions Used in This Document
The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED", "MAY", and "OPTIONAL" in this document are to be interpreted as described in [RFC2119].

PREDICTION STRATEGY
Before presenting the resource allocation algorithm, we provide an introduction to traffic prediction model. We establish a neural network of adaptive artificial fish algorithm to predict traffic request. The key resides in the construction of the artificial fish individual model. The optimal variables of the neural network are two weight matrices and two threshold variables _io,v_o .

Artificial neural network model
We build the neural network structure as shown in figure 1. The input is composed of six entries, i_(s,1) is the hour of the day, i_(s,2) is the day of the week, i_(s,3) is a flag for holiday/weekend, i_(s,4) is the previous days average load, i_(s,5) is the load from the same hour of the previous day, and i_(s,6) is the load from the same hour and same day from the previous week. The result of the output node Y_(s,1) represents the traffic request that we want to predict[1]. Training sample setA={(X^i,Y^i )|i=1,2,,n}X^i is the i_th group training data input, and Y^i is the i_th group input corresponding expected output. We define the error function as follows:
where O^i is the actual output of the i_th.

Adaptive artificial fish swarm artificial neural networks (AAFS-ANN )
In the artificial fish swarm algorithm, we introduce adaptive step size and visible range to improve convergence accuracy and speed. Generate initial artificial fish population N, namely N group {omega_ij,nu_io,omega_io,nu_o}. Every artificial fish is a neural network. The food concentration is defined as FC=1/E. X_i is the state of current location state,X_j is random state of the search,d_ij is the distance between X_i and X_j, omega_ij (i),omega_ij (j) and omega_ij (i+1) respectively are X_i,X_jnext state X_(i+1) matrix omega_ij} element of i_th row j_th column, "Rand(Step") represents a random number between [0, Step].
Let X_0 be the current artificial fish, its position is C, X_1 is the current optimal fish, X_2 is the nearest fish, Then we set two visible fields viusual_1=d_01,viusual_2=d_02. Two target positions A, B are randomly determined in the range of viusual_1 and viusual_2 respectively, then compare FC_A,FC_B,FC_C,
If FC_A,FC_B
If FC_A,FC_B
omega(i+1)=omega(i)+Rand(step)
If one or both of them are better than C, Then advance to the best point, and execute formula (3)
omega(i+1)=omega(i)+Rand(step)(omega(j)-omega(i))/d_ij
Go for A with viusual_1Rand() as the step size, to B with viusual_2alphaRand(), where a ,which equal to 1 or slightly less than 1,is the visual factor.The other three optimization variables are similarly.

MULTI-PATH PRE-RESERVED RESOURCE ALLOCATION
The resource allocation method bases on the AAFS-ANN described above, and we propose a multi-path pre-reserved resource allocation way to optimize optical network. We uses the predicted result to perform configuration time calculation and estimate the future network resource demand to pre-reserve resource for traffic request.

Fig.1(a) Sample network

-------------------------------------
|     ---       	 ---         |
|    | A |--------------| B |        |
|     --- \  		 --- \       |
|          \   	              \	     |
|           \                  \     |
|            \                  \    |
| 	    ---                 ---  |
| 	   | C |---------------| D | |
| 	    --- 		---  |
-------------------------------------

Fig.1(b) Requested resources

    |------------------------------------
 T4 |   |   |   |   |   |   |   |   |   |
    |------------------------------------
 T3 |   | * | * |   |   |   |   |   |   |
    |------------------------------------
 T2 |   | * | * |   |   |   |   |   |   |
    |------------------------------------
 T1 |   |   |   |   |   |   |   |   |   |
    |------------------------------------
 T0 |   |   |   |   |   |   |   |   |   |
    -------------------------------------
      S0  S1  S2  S3  S4

Fig.1(c) Requested resources

    |------------------------------------
 T4 |   |   |   |   |   |   |   |   |   |
    |------------------------------------
 T3 | # | * | # | # | # |   |   |   |   |
    |------------------------------------
 T2 | # | * | # | # | # |   |   |   |   |
    |------------------------------------
 T1 | # |   |   | # | # |   |   |   |   |
    |------------------------------------
 T0 | # |   |   | # | # |   |   |   |   |
     ------------------------------------
          S0  S1  S2  S3  S4

Fig.1(d) Requested resources

    |------------------------------------
 T4 |   |   |   |   |   |   |   |   |   |
    |------------------------------------
 T3 | # | # | * |   | # | # |   |   |   |
    |------------------------------------
 T2 | # | # | * | # | # | # |   |   |   |
    |------------------------------------
 T1 | # |   |   | # |   |   |   |   |   |
    |------------------------------------
 T0 | # |   |   |   |   |   |   |   |   |
     ------------------------------------
	  S0  S1  S2  S3  S4

Reconfiguration time calculation
Frequent reconfiguration can result in service interruption and unstable of distributed routing algorithm, so we need to predict the next 24-hour traffic demand D^24 for the next configuration time point calculation. Algorithm 1 is the calculation process of the reconfiguration time point.

Multi-path pre-reserved resource allocation(MP-RA)
We reserve network resources for the predicted traffic. This type of service request is called Advance Reservation Service (AR). As the optical link is continuously established and removed, fragments are easily generated in both the time domain and the spectrum domain. The application of the Sliceable Bandwidth Variable Transceiver (S-BVT) [4] further enhances the flexibility of EON. The S-BVT has a slicing capability, i.e. it can provide multiple optical carriers for carrying optical links to different destinations. In order to reduce time and spectral fragmentation (referred to as two-dimensional fragmentation) and to solve the problem of insufficient resources, we propose cutting the request into multiple parts, and transfer on multiple paths.
The underlying optical network can be modeled as G_s=(L_s,N_s,R_st,D_s){ L_s: link set, N_s: optical node set, R_st: resource status of optical nodes and optical links at time t, D_s: distance of each pair of nodes in the set of nodes N in the network topology}. R_A=(s,d,w,b,h) denotes a predicted service request, where s and d represent the source and destination nodes of the service, b is the time of service starts, h is the duration of the AR service, and w is the service start time b, and the duration h period required link rate. P_((s,d)) represents the path set of the source node to the destination node.
If there are not enough spectrum resources available in the link for the incoming request, we will attempt to cut the request into different parts and assign those parts to different frequency bands. For a simple example, as shown in Firgue 3(a), in order to reflect the state of the spectral resources in the time domain, we use a two-dimensional time spectrum resource model and assume that each time slot has the same time period. The network diagram is illustrated in the figure 3(a). Now there was an AR request, from node A to node D. The request requires two spectrum slots, lasting from T2 to T3, as shown in figure 2(b). Figure 2(c) and Figure 2(d) show the spectrum states of path A-C-D and path A-B-D, respectively. The black slot represents the occupied spectrum slot, the white slot represents the spectrum slot available for the spectrum resource, and the blue slot represents the spectrum slot occupied by the AR request. Before splitting the AR request, the two paths do not have enough resources to allocate. However, after we split the request into two parts, we can distribute them to two spectrum segments to implement AR-requested service provision. The MP-RA is as shown in Algorithm 2.

Experimental evaluation and results analysis
In this paper, we present the results of the AAFS-ANN prediction. Our goal is to demonstrate the accuracy and network performance of AAFS-ANN in different network environments. To fully reflect the changes in the network environment, we use WIDE data from 96h traffic data from April 6th to 9th, 2017, to train and verify. Figure 3(a) is the comparison between the actual traffic and the prediction results, which verify the effectiveness of our method. As shown in Figure 3(a), the prediction results of AAFS-ANN are significantly better than the traditional predictions. This is because the introduction of the adaptive step size and the visible field, making the artificial fish compares the FC in the large field of view. Our method enhances the global convergence and the optimization precision. The prediction error occurs because the traffic is directly affected by many non-linear sudden factors such as hot events, user movement patterns. Therefore, many traffic cannot be accurately predicted.
We also compare MP-RA with several state-of-the-art resource allocation techniques including evolutionary algorithms(EA) and artificial neural networks (ANN). From firgue 3(b), we can see that MP-RA performs well among the three optimization resource allocation method, MP-RA greatly improves resource utilization.
According to the prediction results, the MP-RA can allocate resources to traffic more reasonably. This is because the algorithm considers the traffic that will be reached at each point in time and the resources it needs. Then re-plans the resources at the configuration time. As can be observed in the results shown in Figure 3(c), MP-RA can greatly reduce the probability of traffic blocking.

Tab.1 Network blocking probability of four strategies

+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|               |   Resource utilization rate       |
| Traffic load  +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|               |   MP-RA   |   ANN    |    EA      |
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|     40        |  0.254    |  0.242   |  0.251     |
|     70        |  0.263    |  0.253   |  0.272     |
|     95        |  0.273    |  0.275   |  0.300     |
|     120       |  0.332    |  0.29    |  0.420     |
|     145       |  0.389    |  0.325   |  0.504     |
|     170       |  0.457    |  0.356   |  0.583     |
|     200       |  0.52     |  0.403   |  0.723     |
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

Tab.2 Average hop of four strategies

+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|               |   Network blocking probability    |
| Traffic load  +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|               |   MP-RA   |   ANN    |    EA      |
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|     50        | 0.008     | 0.0075   |   0.0078   |
|     70        | 0.009     | 0.010    |   0.012    |
|     100       | 0.0095    | 0.025    |   0.029    |
|     125       | 0.01      | 0.06     |   0.074    |
|     150       | 0.0108    | 0.08     |   0.10     |
|     175       | 0.025     | 0.115    |   0.129    |
|     200       | 0.06      | 0.15     |   0.20     |
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

CONCLUSION
In the tidal traffic scenario, we propose AAFS-ANN model and MP-RA strategy. We use AAFS-ANN model to predict traffic and MP-RA to optimize metropolitan optical network. Results demonstrate that AAFS-ANN and MP-RA successfully increase prediction accuracy and resource utilization, as well as reduce the traffic blocking rate.

ACKNOWLEDGMENT
This work has been supported in part by NSFC project (61871056), National Postdoctoral Program for Innovative Talents (BX201600021), Fundamental Research Funds for the Central Universities (2018XKJC06) and State Key Laboratory of Information Photonics and Optical Communications (BUPT), P. R. China (No. IPOC2017ZT11).

Normative References
[RFC2119]

Key words for use in RFC's to Indicate Requirement Levels
Scott Bradner
Harvard University
March 1997
RFC 2119

Informative References
[Ref1]

Matheuristic with machine-learning-based prediction for software-defined mobile metro-core networks
Alvizu R
Troia S
Maier G
May 2017
[Ref2]

Considerations of effective tidal traffic dispatching in software-defined metro IP over optical networks
K. Christodoulopoulos
Hua N
Liu H
July 2015
[Ref3]

Leveraging deep learning to achieve efficient resource allocation with traffic evaluation in datacenter optical networks
Yu A
Yang H
Bai W
March 2018
[Ref4]

Energy efficiency and blocking reduction for tidal traffic via stateful grooming in IP-over-optical networks
zhong Z
Hua N
Tornatore M
September 2016